Convert Enriched People to Contacts

Overview

When you use Apollo API to enrich your own people data and pull mobile phone numbers, you've likely already consumed credits as part of your Apollo pricing plan. If you call Apollo API to enrich data for the same people in the future, you can potentially use more credits to access the same data you already accessed.

To avoid using credits unnecessarily, use the create a contact endpoint to convert enriched people into contacts. A contact is a person saved to Apollo, which means their data becomes permanently accessible to your organization.

🚧

New Contacts

Apollo doesn't run any deduplication during this process. If your record contains the same email address, or name and company as an existing contact, Apollo creates a new contact instead of updating the existing contact.

1: Create a Contact

First, retrieve the person data that you previously enriched. In this example, the request includes the following information:

  • First name
  • Last name
  • Email address
  • Company name
  • Company domain
  • Direct phone
  • Mobile phone

To create a contact via Apollo API:

  1. Call the create a contact endpoint:
POST https://api.apollo.io/api/v1/contacts
  1. Add the following query parameters:
ParameterValue for this Example
"first_name""Mark"
"last_name""Calder"
"organization_name""Sumware Software"
"email""[email protected]"
"website_url""https://www.sumwaresoftware.com"
"direct_phone""000-000-0001"
"mobile_phone""000-000-0002"

  1. Add the following keys and values to the header of your request:
    1. Content-Type: application/json
    2. Cache-Control: no-cache
    3. x-api-key: Enter your Apollo API key.

cURL Request

The following shows the example as a cURL request:

curl --request POST \
     --url 'https://api.apollo.io/api/v1/contacts?first_name=Mark&last_name=Calder&organization_name=Sumware%20Software&email=mark%40sumware.com&website_url=https%3A%2F%2Fwww.sumwaresoftware.com&direct_phone=000-000-0001&mobile_phone=000-000-0002' \
     --header 'Cache-Control: no-cache' \
     --header 'Content-Type: application/json' \
     --header 'accept: application/json' \
     --header 'x-api-key: YOUR_API_KEY'

Postman Request

As an example, here's how the request can be formatted in Postman. If you prefer to pass parameters via the body of the request, use the raw option instead of form-data.

Response Details

A successful request returns a 200 response status and JSON data similar to the following response:

{
    "contact": {
        "contact_roles": [],
        "id": "668463fe9709b70afd54fb5a",
        "first_name": "Mark",
        "last_name": "Calder",
        "name": "Mark Calder",
        "linkedin_url": null,
        "title": null,
        "contact_stage_id": "6095a710bd01d100a506d4ae",
        "owner_id": "60affe7d6e270a00f5db6fe4",
        "creator_id": "60affe7d6e270a00f5db6fe4",
        "person_id": null,
        "email_needs_tickling": null,
        "organization_name": "Sumware Software",
        "source": "api",
        "original_source": "api",
        "organization_id": null,
        "headline": null,
        "photo_url": null,
        "present_raw_address": null,
        "linkedin_uid": null,
...
        "phone_numbers": [
            {
                "raw_number": "000-000-0001",
                "sanitized_number": "+10000000001",
                "type": "work_direct",
                "position": 0,
                "status": "no_status",
                "dnc_status": null,
                "dnc_other_info": null,
                "dialer_flags": null
            },
            {
                "raw_number": "000-000-0002",
                "sanitized_number": "+10000000002",
                "type": "mobile",
                "position": 1,
                "status": "no_status",
                "dnc_status": null,
                "dnc_other_info": null,
                "dialer_flags": null
            }
        ],
...
}

2. Confirm Contact Status

To confirm that a contact has been created in Apollo:

  1. Call the people enrichment endpoint:
POST https://api.apollo.io/api/v1/people/match
  1. Add the email query parameter, and provide the email value from the API response. For this example, the email address is [email protected].
  2. Add the following keys and values to the header of your request:
    1. Content-Type: application/json
    2. Cache-Control: no-cache
    3. x-api-key: Enter your Apollo API key.

The API response provides the details you used when creating the contact, including the email address and phone numbers. This means you don't need to use credits on Apollo to reveal the information again.


Did this page help you?